## python-pyaarlo 0.8.0.2

=== requirements.txt ===
requests
click
pycryptodome
unidecode
cloudscraper>=1.2.71
paho-mqtt
cryptography

=== debian/changelog ===
python-pyaarlo (0.8.0.2-3) unstable; urgency=medium

  * Team upload.
  * source-only upload.

 -- Emmanuel Arias <eamanu@debian.org>  Tue, 09 Jan 2024 17:50:25 -0300

python-pyaarlo (0.8.0.2-2) unstable; urgency=medium

  * Team upload.

  [ Carles Pina i Estany ]
  * Fix d/copyright debian/* license name (was GPL-3, should have been GPL-3+)

 -- Emmanuel Arias <eamanu@debian.org>  Sat, 06 Jan 2024 13:35:57 -0300

python-pyaarlo (0.8.0.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1053132)

 -- Carles Pina i Estany <carles@pina.cat>  Wed, 13 Dec 2023 00:46:42 +0000

=== debian/control ===
Source: python-pyaarlo
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Carles Pina i Estany <carles@pina.cat>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-click,
               python3-cloudscraper (>=1.2.71~git20230426.cbb3c0ea),
               python3-cryptography,
               python3-paho-mqtt,
               python3-pycryptodome,
               python3-setuptools,
               python3-sphinx,
               python3-unidecode
Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.6.2
Homepage: https://github.com/twrecked/pyaarlo
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pyaarlo
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pyaarlo.git

Package: python3-pyaarlo
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, ${sphinxdoc:Depends}
Description: Module for Python 3 that provides asynchronous access to Netgear Arlo cameras
 As things happen to the Arlo devices -motion detected, battery level changes,
 mode changes, etc... -the Arlo servers post these events onto the event
 stream. The background thread reads these events from the stream, updates
 Pyaarlo's internal state and calls any user registered callbacks.
 .
 This package installs the library for Python 3 and pyaarlo command.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=python-pyaarlo

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=$(BUILDDIR3) sphinx-build docs/ build/sphinx/html

## python-pyaarlo 0.8.0.3

=== debian/changelog ===
python-pyaarlo (0.8.0.3-1) unstable; urgency=medium

  * New upstream version.
  * Remove 02-use-python-not-python3-in-examples.patch and
    03-fix-typo-readme.patch patches.

 -- Carles Pina i Estany <carles@pina.cat>  Mon, 08 Jul 2024 23:24:15 +0200

## python-pyaarlo 0.8.0.11

=== requirements.txt ===
--- 
+++ 
@@ -5,3 +5,4 @@
 cloudscraper>=1.2.71
 paho-mqtt
 cryptography
+slugify

=== debian/changelog ===
python-pyaarlo (0.8.0.11-1) unstable; urgency=medium

  * New upstream version.
  * d/control: update Standards-Version to 4.7.0
  * Add 02-fix-python-slugify-dependency.patch.

 -- Carles Pina i Estany <carles@pina.cat>  Mon, 14 Oct 2024 07:59:31 +0200

python-pyaarlo (0.8.0.8-1) unstable; urgency=medium

  * New upstream version.
  * d/control: add new dependency python3-slugify.

 -- Carles Pina i Estany <carles@pina.cat>  Mon, 30 Sep 2024 05:53:56 +0200

## python-pyaarlo 0.8.0.15

=== requirements.txt ===
requests
click
pycryptodome
unidecode
cloudscraper>=1.2.71
paho-mqtt
cryptography
python-slugify

=== debian/changelog ===
python-pyaarlo (0.8.0.15-1) unstable; urgency=medium

  * New upstream version.
  * Remove 02-fix-python-slugify-dependency.patch.

 -- Carles Pina i Estany <carles@pina.cat>  Sun, 23 Feb 2025 16:20:49 +0100

=== debian/control ===
--- 
+++ 
@@ -13,10 +13,11 @@
                python3-paho-mqtt,
                python3-pycryptodome,
                python3-setuptools,
+               python3-slugify,
                python3-sphinx,
                python3-unidecode
 Testsuite: autopkgtest-pkg-pybuild
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/twrecked/pyaarlo
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pyaarlo
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pyaarlo.git

=== debian/watch ===
version=4
https://github.com/twrecked/pyaarlo/tags \
  (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
